Subject: bug#40542: wip-hurm-vm build failure

From: Christopher Howard <[email-masked]>
Date: Tue, 14 Apr 2020 07:55:43 -0800

Thank you, I'd like to try ssh. Would someone be willing to share what
qemu and ssh commands they are using to establish the connection?

-----Original Message-----
From: Jan Nieuwenhuizen <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Subject: Re: bug#40542: wip-hurm-vm build failure
Date: Tue, 14 Apr 2020 07:46:48 +0200

Christopher Howard writes:
> I'm having some trouble playing around with the VM, because a lot
> ofweird things are happening with keyboard input into the qemuwindow.
> It seems like the meta keys (shift, ctrl, alt, super) arebehaving in
> strange ways, or that terminal state is getting corruptedsomehow.
> E.g., sometimes shift key stops working, or the cursors jumpsup to
> the middle of the screen, or text gets garbled.

Since yesterday I've been seeing that too.  I'm pretty sure that if
youbuild a VM from core-uupdates, the console is fine.
I haven't looked into the details of the console/tty setup, so I
musthave messed-up something.  Sorry!
Meanwhile we do have ssh login :-)
The startup now goes like this
    startup -> runsystem -> init -> runsystem.hurd -> rc -> shepherd
and; i would like to move towards
    -startup -> rc -> shepherd
if that's possible.
Greetings,janneke

-- 
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com